/*
 * AnyService.java
 *
 * Created on 25. Oktober 2007, 13:32
 */

package wsprovider;

import java.io.StringReader;
import javax.annotation.Resource;
import javax.ejb.EJB;
import javax.ejb.Stateless;
import javax.xml.transform.Source;
import javax.xml.transform.stream.StreamSource;
import javax.xml.ws.Provider;
import javax.xml.ws.Service.Mode;
import javax.xml.ws.ServiceMode;
import javax.xml.ws.WebServiceContext;
import javax.xml.ws.WebServiceProvider;
import otherbean.OtherLocal;

/**
 *
 * @author mam02072
 */
@Stateless(name="AnyService")
@ServiceMode(Mode.PAYLOAD)
@WebServiceProvider(portName="AnyServicePort", serviceName="AnyService", targetNamespace="http://j2ee.netbeans.org/wsdl/anyservice", wsdlLocation="META-INF/wsdl/anyservice.wsdl")
public class AnyService implements Provider<Source> {
    
    @EJB()
    private OtherLocal other;
    
    @Resource()
    private WebServiceContext wsCtx;
    
    /** Creates a new instance of AnyService */
    public AnyService() {
    }

    public Source invoke( Source _request ) {
        return new StreamSource( new StringReader(
            new StringBuilder().
                append( "<response>" ).
                append( "<WebServiceContext>" ).append( wsCtx ).append( "</WebServiceContext>" ).
                append( "<OtherLocal>").append( other ).append( "</OtherLocal>" ).
                append( "</response>" ).toString() ) );
    }
    
}
